package com.sundata.internalevaluation.configuration.mapper;

import com.sundata.admin.nounmanage.model.DictContent;
import com.sundata.internalevaluation.configuration.model.IndexConfigModel;
import com.sundata.internalevaluation.configuration.model.IndexSourceModel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface IndexConfigMapper {
    List<IndexConfigModel> getDataList(IndexConfigModel model);

    void createData(IndexConfigModel model);

    void deleteRows(IndexConfigModel model);

    void updateExistData(IndexConfigModel model);

    IndexConfigModel selectDetailData(IndexConfigModel model);

    DictContent selectAllIndexToDict();

    List<IndexSourceModel> getIndexSourceList(IndexConfigModel indexConfigModel);

    /**
     * 根据规则编号查询所有指标
     */
    List<IndexConfigModel> selectIndexListByRuleNo(@Param("ruleNo") String ruleNo);

    void createIndexSource(@Param("indexSource") List<IndexSourceModel> indexSource);

    void deleteIndexSource(String indexNo);
}
