package com.sundata.product.rfEngine.PublicComponent.ProjectTeam;
import com.fasterxml.jackson.databind.ObjectMapper;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.fasterxml.jackson.databind.SerializationFeature;
import com.sundata.internalevaluation.conf.JsonToCalciteExample;
import org.apache.calcite.schema.SchemaPlus;
import com.sundata.internalevaluation.calc.util.CalcUtil;

public class ProjectTeamComponent {
    public static Map<String,Object> doJavaLogic(Map<String, Object> inputmap) throws Exception {

        CalcUtil.calcRules("","rules1001",inputmap);
        String jsonDate="";
        try {
            ObjectMapper objectMapper = new ObjectMapper().enable(SerializationFeature.INDENT_OUTPUT);
            Map<String, Object> map = new HashMap<>();

            List<Map<String, String>> list = new ArrayList<>();

            Map<String, String> input1 = (Map<String, String>) inputmap.get("input");
            Map<String, String> singleEntryMap = new HashMap<>();
            for (Map.Entry<String, String> entry : input1.entrySet()) {
                singleEntryMap.put(entry.getKey(), entry.getValue());
            }
            list.add(singleEntryMap);
            map.put("input",list);
            jsonDate = objectMapper.writeValueAsString(map);
            System.out.println(jsonDate);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }


        /*jsonDate="""
        {"input":[{"custNo":"890629176414044160","method":"asyncRegularExecute"}]}
        """;*/
        String schemaName="test";
        SchemaPlus rootSchema=JsonToCalciteExample.jsonTotable(schemaName,jsonDate);



        Map<String,Object> output=null;
        return output;
    }

    public static void main(String[] args) throws Exception {
        // 创建一个ObjectMapper实例，并启用INDENT_OUTPUT特性以便输出格式化的JSON
        ObjectMapper objectMapper = new ObjectMapper().enable(SerializationFeature.INDENT_OUTPUT);

        // 创建一个简单的Map实例
        Map<String, Object> map = new HashMap<>();


        // 创建一个嵌套的Map，表示地址信息
        Map<String, String> input = new HashMap<>();
        input.put("custNo", "890629176414044160");
        input.put("method", "asyncRegularExecute");
        map.put("input", input);
        doJavaLogic(map);

        // 使用ObjectMapper将Map转换为JSON字符串
        String jsonString = objectMapper.writeValueAsString(map);

        // 打印JSON字符串
        System.out.println(jsonString);
    }

}
